# List views

`GET https://api.airtable.com/v0/meta/bases/{baseId}/views`

Lists basic information of base views.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:read`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-read)
- **User role:** Base read-only
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

## Query parameters

- `include: array<"visibleFieldIds">` — optional

  If specified, additional fields to include in the `views` object response; currently, this list only allows a single literal value `visibleFieldIds` (for views of type `grid` only)

## Response format

- `views: array<object>` — required

  - `id: string` — required

  - `type: "grid" | "form" | "calendar" | "gallery" | "kanban" | "timeline" | "block"` — required

    Gantt views have a type of 'block'

  - `personalForUserId: string` — optional

    Present if the view is personal for a user.

  - `name: string` — required

  - `visibleFieldIds: array<string>` — optional

    Available on `grid` views only: list of visible (non-hidden) field IDs, when requested with `include` query paremeter

### Example — Success Response

```sh
curl "https://api.airtable.com/v0/meta/bases/{baseId}/views" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "views": [
    {
      "id": "viwQpsuEDqHFqegkp",
      "name": "My Grid View",
      "personalForUserId": "usrL2PNC5o3H4lBEi",
      "type": "grid"
    },
    {
      "id": "viwi3KXvrKug2mIBS",
      "name": "Project Plan (Gantt Chart)",
      "type": "block"
    }
  ]
}
```
